Bug 183625 - [exp-run] convert ports to USES=kmod
[exp-run] convert ports to USES=kmod
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Rene Ladan
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-03 20:10 UTC by Rene Ladan
Modified: 2013-11-09 19:20 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rene Ladan freebsd_committer 2013-11-03 20:10:00 UTC
Change all appropriate ports which have "kmod" in the directory name or mention SRC_BASE to USES=kmod

This saves code duplication and makes sure the affected ports are correct.

Fix: 

patch at ftp://rene-ladan.nl/pub/freebsd/uses-kmod-r332637.diff

SHA256 = 2fee0903b324da1cecbb624bad897e3266977853e745ec2ef39b15e5c852ff13
How-To-Repeat: N/A
Comment 1 Mark Linimon freebsd_committer 2013-11-03 21:58:05 UTC
Responsible Changed
From-To: freebsd-ports-bugs->portmgr

Over to maintainer(s).
Comment 2 Bryan Drewery freebsd_committer 2013-11-04 13:42:38 UTC
Responsible Changed
From-To: portmgr->bdrewery

I'll take it.
Comment 3 Bryan Drewery freebsd_committer 2013-11-09 11:26:17 UTC
Responsible Changed
From-To: bdrewery->rene

Exp-run done, no new failures. Approved to commit.
Comment 4 dfilter freebsd_committer 2013-11-09 19:13:43 UTC
Author: rene
Date: Sat Nov  9 19:13:27 2013
New Revision: 333329
URL: http://svnweb.freebsd.org/changeset/ports/333329

Log:
  Convert to USES=kmod, which removes duplicated code and ensures that all
  required steps are followed.
  
  There are no user-visible changes.  The exception is multimedia/ptx-kmod,
  which now installs the kernel module into /boot/modules instead of
  ${PREFIX}/libexec/${PORTNAME}, this was something USES=kmod cannot handle.
  
  PR:		ports/183625
  Submitted by:	myself
  Approved by:	portmgr (bdrewery)
  Exp-run by:	bdrewery

Modified:
  head/audio/aureal-kmod/Makefile
  head/audio/aureal-kmod/pkg-plist
  head/comms/uhso-kmod/Makefile
  head/comms/uhso-kmod/pkg-plist
  head/emulators/kqemu-kmod-devel/Makefile
  head/emulators/kqemu-kmod/Makefile
  head/emulators/virtio-kmod/Makefile
  head/emulators/virtio-kmod/pkg-plist
  head/emulators/virtualbox-ose-additions/Makefile
  head/emulators/virtualbox-ose-additions/pkg-plist
  head/emulators/virtualbox-ose-kmod/Makefile
  head/emulators/virtualbox-ose-kmod/pkg-plist
  head/graphics/kix-kmod/Makefile
  head/misc/dahdi-kmod/Makefile
  head/misc/dahdi-kmod/pkg-plist
  head/misc/dahdi-kmod26/Makefile
  head/misc/dahdi-kmod26/pkg-plist
  head/multimedia/cuse4bsd-kmod/Makefile
  head/multimedia/cuse4bsd-kmod/pkg-plist
  head/multimedia/linux_dvbwrapper-kmod/Makefile
  head/multimedia/linux_v4l2wrapper-kmod/Makefile
  head/multimedia/ptx-kmod/Makefile
  head/multimedia/ptx-kmod/files/ptx.in
  head/multimedia/sms1xxx-kmod/Makefile
  head/multimedia/sms1xxx-kmod/pkg-plist
  head/net/bwi-firmware-kmod/Makefile
  head/net/bwi-firmware-kmod/pkg-plist
  head/net/bwn-firmware-kmod/Makefile
  head/net/bwn-firmware-kmod/pkg-plist
  head/net/stf-6rd-kmod/Makefile
  head/net/stf-6rd-kmod/pkg-plist
  head/security/quantis-kmod/Makefile
  head/sysutils/fusefs-kmod/Makefile
  head/sysutils/fusefs-kmod/pkg-plist
  head/sysutils/mono-kmod/Makefile
  head/sysutils/pefs-kmod/Makefile
  head/sysutils/pefs-kmod/pkg-plist

Modified: head/audio/aureal-kmod/Makefile
==============================================================================
--- head/audio/aureal-kmod/Makefile	Sat Nov  9 19:13:17 2013	(r333328)
+++ head/audio/aureal-kmod/Makefile	Sat Nov  9 19:13:27 2013	(r333329)
@@ -4,7 +4,7 @@
 PORTNAME=	aureal
 PORTVERSION=	1.5
 PORTREVISION=	6
-CATEGORIES=	audio kld
+CATEGORIES=	audio
 MASTER_SITES=	GOOGLE_CODE
 PROJECTHOST=	${PORTNAME}-snd
 PKGNAMESUFFIX=	-kmod
@@ -26,24 +26,19 @@ USE_RC_SUBR=	${PORTNAME}
 SUB_FILES=	pkg-message
 SUB_LIST=	KMODDIR=${KMODDIR}
 
-PLIST_SUB=	KMODDIR=${KMODDIR_REL}
-
 WRKSRC=		${WRKDIR}
 
 MAKE_ENV=	WRKSRC="${WRKSRC}"
 MAKE_ARGS=	KMODDIR="${KMODDIR}"
 
+USES=		kmod
+
 .include <bsd.port.pre.mk>
 
 .if ${OSVERSION} >= 800000
 EXTRA_PATCHES+=	${PATCHDIR}/extra_800000_patch-au88x0.c
 .endif
 
-# Make sure kernel sources are present before going any further
-.if ! exists(${SRC_BASE}/sys/dev/sound/pcm/sound.c)
-IGNORE=	you need to extract kernel source tree before building this package
-.endif
-
 pre-everything::
 .for STRAY in ${STRAYFILES}
 .if exists(${SRC_BASE}/sys/dev/sound/pci/${STRAY})
@@ -61,9 +56,6 @@ pre-everything::
 .endif
 .endfor
 
-pre-install:
-	${MKDIR} ${KMODDIR}
-
 post-install:
 	@${CAT} ${PKGMESSAGE}
 

Modified: head/audio/aureal-kmod/pkg-plist
==============================================================================
--- head/audio/aureal-kmod/pkg-plist	Sat Nov  9 19:13:17 2013	(r333328)
+++ head/audio/aureal-kmod/pkg-plist	Sat Nov  9 19:13:27 2013	(r333329)
@@ -1,8 +1,5 @@
-@unexec `if [ -e /bin/chflags ]; then echo /bin/chflags; else echo /usr/bin/chflags; fi` noschg %D/%%KMODDIR%%/snd_au88?0.ko
-@unexec kldxref %D/%%KMODDIR%%
-@unexec rm -f %D/%%KMODDIR%%/linker.hints
-%%KMODDIR%%/snd_au8810.ko
-%%KMODDIR%%/snd_au8820.ko
-%%KMODDIR%%/snd_au8830.ko
-@dirrmtry %%KMODDIR%%
+@unexec `if [ -e /bin/chflags ]; then echo /bin/chflags; else echo /usr/bin/chflags; fi` noschg /%%KMODDIR%%/snd_au88?0.ko
+/%%KMODDIR%%/snd_au8810.ko
+/%%KMODDIR%%/snd_au8820.ko
+/%%KMODDIR%%/snd_au8830.ko
 @dirrmtry modules

Modified: head/comms/uhso-kmod/Makefile
==============================================================================
--- head/comms/uhso-kmod/Makefile	Sat Nov  9 19:13:17 2013	(r333328)
+++ head/comms/uhso-kmod/Makefile	Sat Nov  9 19:13:27 2013	(r333329)
@@ -4,7 +4,7 @@
 PORTNAME=	uhso
 PORTVERSION=	20100416
 PORTREVISION=	2
-CATEGORIES=	comms kld
+CATEGORIES=	comms
 MASTER_SITES=	http://www.shapeshifter.se/pub/hso/
 PKGNAMESUFFIX=	-kmod
 DISTFILES=	${PORTNAME}-${PORTVERSION}${EXTRACT_SUFX}
@@ -27,18 +27,15 @@ OPTIONS_DEFAULT=	UHSOCTL
 UHSOCTL_DESC=	Build uhsoctl tool
 
 SUB_FILES=	pkg-message
-KMODDIR?=	/boot/modules
-PLIST_SUB+=	KMODDIR=${KMODDIR}
-MAKE_ENV+=	KMODDIR=${KMODDIR}
 
 MAN4=		uhso.4
 
 NO_STAGE=	yes
+
+USES=		kmod
 .include <bsd.port.pre.mk>
 
-.if !exists(${SRC_BASE}/sys/Makefile)
-IGNORE=		requires kernel source files
-.elif ${OSVERSION} <= 800063
+.if ${OSVERSION} <= 800063
 IGNORE=		requires FreeBSD 8.0 or later, please try comms/hso-kmod instead
 .elif ${OSVERSION} >= 800501
 IGNORE=	the uhso driver is already available in the base system

Modified: head/comms/uhso-kmod/pkg-plist
==============================================================================
--- head/comms/uhso-kmod/pkg-plist	Sat Nov  9 19:13:17 2013	(r333328)
+++ head/comms/uhso-kmod/pkg-plist	Sat Nov  9 19:13:27 2013	(r333329)
@@ -1,5 +1,2 @@
 %%PL_UHSOCTL%%bin/uhsoctl
-@cwd /boot/modules
-uhso.ko
-@exec kldxref %D
-@unexec kldxref %D
+/%%KMODDIR%%/uhso.ko

Modified: head/emulators/kqemu-kmod-devel/Makefile
==============================================================================
--- head/emulators/kqemu-kmod-devel/Makefile	Sat Nov  9 19:13:17 2013	(r333328)
+++ head/emulators/kqemu-kmod-devel/Makefile	Sat Nov  9 19:13:27 2013	(r333329)
@@ -4,7 +4,7 @@
 PORTNAME=	kqemu
 PORTVERSION=	1.4.0.p1
 PORTREVISION=	5
-CATEGORIES=	emulators kld
+CATEGORIES=	emulators
 MASTER_SITES=	http://bellard.org/qemu/ \
 		http://qemu.org/ \
 		${MASTER_SITE_LOCAL}
@@ -19,8 +19,6 @@ COMMENT=	Kernel Accelerator for QEMU CPU
 LICENSE=	GPLv2
 LICENSE_FILE=	${WRKSRC}/COPYING
 
-SSP_UNSAFE=	kernel module does not support ssp
-
 ONLY_FOR_ARCHS=	i386 amd64
 HAS_CONFIGURE=	yes
 USE_GMAKE=	yes
@@ -31,6 +29,8 @@ CONFLICTS=	kqemu-kmod-[0-9]*
 USE_RC_SUBR=	kqemu
 
 NO_STAGE=	yes
+
+USES=		kmod
 .include <bsd.port.pre.mk>
 
 PORTDOCS=	kqemu-doc.html kqemu-tech.html
@@ -38,7 +38,6 @@ PLIST_FILES=	"include/kqemu/kqemu.h"
 PLIST_FILES+=	"@dirrm include/kqemu"
 PLIST_FILES+=	"@cwd /"
 PLIST_FILES+=	${KMODDIR:C,^/,,}/kqemu.ko
-PLIST_FILES+=	"@unexec kldxref ${KMODDIR}"
 PLIST_FILES+=	"@cwd"
 
 MAKEFILE=	Makefile.freebsd
@@ -49,18 +48,6 @@ MAKE_ARGS+=	LDFLAGS=${LDFLAGS:S/^-Wl,//}
 GMAKE_ARGS+=	ARCH=x86_64
 .endif
 
-# install where x11/nvidia-driver does also:
-KMODDIR=	/boot/modules
-
-MAKE_ENV+=	KMODDIR="${KMODDIR}"
-
-SYSDIR?=	${SRC_BASE}/sys
-MAKE_ENV+=	SYSDIR="${SYSDIR}"
-
-.if !exists(${SYSDIR}/Makefile)
-IGNORE=		requires kernel source to be installed
-.endif
-
 CFLAGS+=	${DEBUG_FLAGS}
 
 post-patch:

Modified: head/emulators/kqemu-kmod/Makefile
==============================================================================
--- head/emulators/kqemu-kmod/Makefile	Sat Nov  9 19:13:17 2013	(r333328)
+++ head/emulators/kqemu-kmod/Makefile	Sat Nov  9 19:13:27 2013	(r333329)
@@ -4,7 +4,7 @@
 PORTNAME=	kqemu
 PORTVERSION=	1.3.0.p11
 PORTREVISION=	12
-CATEGORIES=	emulators kld
+CATEGORIES=	emulators
 MASTER_SITES=	http://bellard.org/qemu/ \
 		http://qemu.org/ \
 		${MASTER_SITE_LOCAL}
@@ -19,8 +19,6 @@ COMMENT=	Kernel Accelerator for QEMU CPU
 LICENSE=	GPLv2
 LICENSE_FILE=	${WRKSRC}/COPYING
 
-SSP_UNSAFE=	kernel module does not support ssp
-
 ONLY_FOR_ARCHS=	i386 amd64
 HAS_CONFIGURE=	yes
 USE_GMAKE=	yes
@@ -31,6 +29,8 @@ CONFLICTS=	kqemu-kmod-devel-[0-9]*
 USE_RC_SUBR=	kqemu
 
 NO_STAGE=	yes
+
+USES=		kmod
 .include <bsd.port.pre.mk>
 
 PORTDOCS=	kqemu-doc.html kqemu-tech.html
@@ -38,7 +38,6 @@ PLIST_FILES=	"include/kqemu/kqemu.h"
 PLIST_FILES+=	"@dirrm include/kqemu"
 PLIST_FILES+=	"@cwd /"
 PLIST_FILES+=	${KMODDIR:C,^/,,}/kqemu.ko
-PLIST_FILES+=	"@unexec kldxref ${KMODDIR}"
 PLIST_FILES+=	"@cwd"
 
 MAKEFILE=	Makefile.freebsd
@@ -49,18 +48,6 @@ MAKE_ARGS+=	LDFLAGS=${LDFLAGS:S/^-Wl,//}
 GMAKE_ARGS+=	ARCH=x86_64
 .endif
 
-# install where x11/nvidia-driver does also:
-KMODDIR=	/boot/modules
-
-MAKE_ENV+=	KMODDIR="${KMODDIR}"
-
-SYSDIR?=	${SRC_BASE}/sys
-MAKE_ENV+=	SYSDIR="${SYSDIR}"
-
-.if !exists(${SYSDIR}/Makefile)
-IGNORE=		requires kernel source to be installed
-.endif
-
 CFLAGS+=	${DEBUG_FLAGS}
 
 post-patch:

Modified: head/emulators/virtio-kmod/Makefile
==============================================================================
--- head/emulators/virtio-kmod/Makefile	Sat Nov  9 19:13:17 2013	(r333328)
+++ head/emulators/virtio-kmod/Makefile	Sat Nov  9 19:13:27 2013	(r333329)
@@ -2,7 +2,7 @@
 
 PORTNAME=	virtio
 PORTVERSION=	0.${SVN_REV}
-CATEGORIES=	emulators kld
+CATEGORIES=	emulators
 MASTER_SITES=	${MASTER_SITE_LOCAL}
 MASTER_SITE_SUBDIR=	kuriyama
 PKGNAMESUFFIX=	-kmod-${OSBRANCH}
@@ -14,17 +14,13 @@ COMMENT=	virtio kernel modules port for 
 ONLY_FOR_ARCHS=	amd64 i386
 
 WRKSRC=		${WRKDIR}
-KMODDIR?=	/boot/modules
-PLIST_SUB=	KMODDIR=${KMODDIR:C,^/,,}
 NEEDSUBDIRS=	amd64 cam conf contrib dev/pci geom i386 kern net netinet netinet6 \
 	sys tools vm x86
 
 NO_STAGE=	yes
-.include <bsd.port.pre.mk>
 
-.if !exists(${SRC_BASE}/sys/Makefile)
-IGNORE=		requires kernel source to be installed
-.endif
+USES=		kmod
+.include <bsd.port.pre.mk>
 
 SVN_REV=	250249
 FILE_8=		${PORTNAME}-8-0.${SVN_REV}${EXTRACT_SUFX}
@@ -66,7 +62,6 @@ do-install:
 	${INSTALL_KLD} ${WRKSRC}/sys/modules/virtio/${f}.ko ${KMODDIR}
 	${INSTALL_KLD} ${WRKSRC}/sys/modules/virtio/${f}.ko.symbols ${KMODDIR}
 .endfor
-	/usr/sbin/kldxref ${KMODDIR}
 
 post-install:
 	${CAT} ${PKGMESSAGE}

Modified: head/emulators/virtio-kmod/pkg-plist
==============================================================================
--- head/emulators/virtio-kmod/pkg-plist	Sat Nov  9 19:13:17 2013	(r333328)
+++ head/emulators/virtio-kmod/pkg-plist	Sat Nov  9 19:13:27 2013	(r333329)
@@ -9,5 +9,3 @@
 %%KMODDIR%%/virtio_blk.ko.symbols
 %%KMODDIR%%/virtio_pci.ko
 %%KMODDIR%%/virtio_pci.ko.symbols
-@exec /usr/sbin/kldxref /%%KMODDIR%%
-@unexec /usr/sbin/kldxref /%%KMODDIR%%

Modified: head/emulators/virtualbox-ose-additions/Makefile
==============================================================================
--- head/emulators/virtualbox-ose-additions/Makefile	Sat Nov  9 19:13:17 2013	(r333328)
+++ head/emulators/virtualbox-ose-additions/Makefile	Sat Nov  9 19:13:27 2013	(r333329)
@@ -3,7 +3,7 @@
 
 PORTNAME=	virtualbox-ose
 DISTVERSION=	4.2.18
-CATEGORIES=	emulators kld
+CATEGORIES=	emulators
 MASTER_SITES=	http://download.virtualbox.org/virtualbox/${DISTVERSION}/ \
 		http://tmp.chruetertee.ch/ \
 		http://disasterarea.chruetertee.ch/
@@ -23,7 +23,7 @@ BUILD_DEPENDS=	yasm:${PORTSDIR}/devel/ya
 UNIQUENAME=	${PORTNAME}${PKGNAMESUFFIX}
 WRKSRC=		${WRKDIR}/VirtualBox-${PORTVERSION}
 USE_RC_SUBR=	vboxguest vboxservice
-USES=		iconv
+USES=		iconv kmod
 ONLY_FOR_ARCHS=	i386 amd64
 FETCH_ARGS=	-pRr
 USE_BZIP2=	yes
@@ -43,10 +43,6 @@ OPTIONS_DEFAULT=	X11
 NO_STAGE=	yes
 .include <bsd.port.options.mk>
 
-PLIST_SUB+=	KMODDIR=${KMODDIR:C,^/,,}
-
-KMODDIR=	/boot/modules
-SRC_BASE?=	/usr/src
 VIDEODIR=	${PREFIX}/lib/xorg/modules/drivers
 INPUTDIR=	${PREFIX}/lib/xorg/modules/input
 
@@ -93,10 +89,6 @@ KMK_ARCH=	freebsd.${ARCH}
 
 XSERVER_ABI:=	${XSERVER_VER:S/.//:R}
 
-.if !exists(${SRC_BASE}/sys/kern/bus_if.m)
-IGNORE=		requires kernel sources
-.endif
-
 .include <bsd.port.pre.mk>
 
 pre-everything::
@@ -134,7 +126,6 @@ do-build:
 	cd ${VBOX_BIN}/src && make ${MAKE_FLAGS}
 
 do-install:
-	${MKDIR} ${KMODDIR}
 	${INSTALL_KLD} ${VBOX_BIN}/src/vboxguest/vboxguest.ko ${KMODDIR}
 .if ${PORT_OPTIONS:MDEBUG}
 	${INSTALL_KLD} ${VBOX_BIN}/src/vboxguest/vboxguest.ko.symbols ${KMODDIR}
@@ -145,7 +136,6 @@ do-install:
 	${INSTALL_KLD} ${VBOX_BIN}/vboxvideo.ko.symbols ${KMODDIR}
 .endif
 .endif
-	@/usr/sbin/kldxref ${KMODDIR}
 
 	${MKDIR} ${PREFIX}/etc/rc.d/
 

Modified: head/emulators/virtualbox-ose-additions/pkg-plist
==============================================================================
--- head/emulators/virtualbox-ose-additions/pkg-plist	Sat Nov  9 19:13:17 2013	(r333328)
+++ head/emulators/virtualbox-ose-additions/pkg-plist	Sat Nov  9 19:13:27 2013	(r333329)
@@ -27,5 +27,3 @@ sbin/VBoxService
 %%WITH_DEBUG%%%%KMODDIR%%/vboxguest.ko.symbols
 %%X11%%%%KMODDIR%%/vboxvideo.ko
 %%WITH_DEBUG%%%%X11%%%%KMODDIR%%/vboxvideo.ko
-@exec /usr/sbin/kldxref /%%KMODDIR%%
-@unexec /usr/sbin/kldxref /%%KMODDIR%%

Modified: head/emulators/virtualbox-ose-kmod/Makefile
==============================================================================
--- head/emulators/virtualbox-ose-kmod/Makefile	Sat Nov  9 19:13:17 2013	(r333328)
+++ head/emulators/virtualbox-ose-kmod/Makefile	Sat Nov  9 19:13:27 2013	(r333329)
@@ -3,7 +3,7 @@
 
 PORTNAME=	virtualbox-ose
 DISTVERSION=	4.2.18
-CATEGORIES=	emulators kld
+CATEGORIES=	emulators
 MASTER_SITES=	http://download.virtualbox.org/virtualbox/${DISTVERSION}/ \
 		http://tmp.chruetertee.ch/ \
 		http://disasterarea.chruetertee.ch/
@@ -41,12 +41,9 @@ DEBUG_DESC=	Debug symbols, additional lo
 VIMAGE_DESC=	VIMAGE virtual networking support
 
 NO_STAGE=	yes
-.include <bsd.port.options.mk>
-
-PLIST_SUB+=	KMODDIR=${KMODDIR:C,^/,,}
 
-KMODDIR=	/boot/modules
-SRC_BASE?=	/usr/src
+USES=		kmod
+.include <bsd.port.options.mk>
 
 VBOX_BIN=	${WRKSRC}/out/${KMK_ARCH}/${KMK_BUILDTYPE}/bin/src
 
@@ -72,10 +69,6 @@ KMK_ARCH=	freebsd.x86
 KMK_ARCH=	freebsd.${ARCH}
 .endif
 
-.if !exists(${SRC_BASE}/sys/kern/bus_if.m)
-IGNORE=		requires kernel sources
-.endif
-
 .include <bsd.port.pre.mk>
 
 .if ${OSVERSION} < 802000
@@ -108,7 +101,6 @@ do-build:
 	cd ${VBOX_BIN} && make ${MAKE_FLAGS}
 
 do-install:
-	${MKDIR} ${KMODDIR}
 	${INSTALL_KLD} ${VBOX_BIN}/vboxdrv/vboxdrv.ko ${KMODDIR}
 	${INSTALL_KLD} ${VBOX_BIN}/vboxnetadp/vboxnetadp.ko ${KMODDIR}
 	${INSTALL_KLD} ${VBOX_BIN}/vboxnetflt/vboxnetflt.ko ${KMODDIR}
@@ -117,6 +109,5 @@ do-install:
 	${INSTALL_KLD} ${VBOX_BIN}/vboxnetadp/vboxnetadp.ko.symbols ${KMODDIR}
 	${INSTALL_KLD} ${VBOX_BIN}/vboxnetflt/vboxnetflt.ko.symbols ${KMODDIR}
 .endif
-	@/usr/sbin/kldxref ${KMODDIR}
 
 .include <bsd.port.post.mk>

Modified: head/emulators/virtualbox-ose-kmod/pkg-plist
==============================================================================
--- head/emulators/virtualbox-ose-kmod/pkg-plist	Sat Nov  9 19:13:17 2013	(r333328)
+++ head/emulators/virtualbox-ose-kmod/pkg-plist	Sat Nov  9 19:13:27 2013	(r333329)
@@ -6,5 +6,3 @@
 %%WITH_DEBUG%%%%KMODDIR%%/vboxnetadp.ko.symbols
 %%KMODDIR%%/vboxnetflt.ko
 %%WITH_DEBUG%%%%KMODDIR%%/vboxnetflt.ko.symbols
-@exec /usr/sbin/kldxref /%%KMODDIR%%
-@unexec /usr/sbin/kldxref /%%KMODDIR%%

Modified: head/graphics/kix-kmod/Makefile
==============================================================================
--- head/graphics/kix-kmod/Makefile	Sat Nov  9 19:13:17 2013	(r333328)
+++ head/graphics/kix-kmod/Makefile	Sat Nov  9 19:13:27 2013	(r333329)
@@ -4,7 +4,7 @@
 PORTNAME=       kix
 PORTVERSION=	1.0
 PORTREVISION=	1
-CATEGORIES=     graphics kld
+CATEGORIES=     graphics
 MASTER_SITES=   http://homepage.ntlworld.com/jon.belson/files/kix-1.0.tar.gz \
 	LOCAL/pgollucci
 PKGNAMESUFFIX=	-kmod
@@ -12,15 +12,11 @@ PKGNAMESUFFIX=	-kmod
 MAINTAINER=	jon@witchspace.com
 COMMENT=	A graphical screensaver kernel module
 
-SSP_UNSAFE=	kernel module does not support ssp
-
 NO_STAGE=	yes
+
+USES=		kmod
 .include <bsd.port.pre.mk>
 
-SYSDIR?=	${SRC_BASE}/sys
-.if !exists(${SYSDIR}/dev/syscons/syscons.h)
-IGNORE=		requires kernel source (in ${SYSDIR}) to build
-.endif
 MAKE_ENV+=	WERROR=
 PLIST_FILES=	lib/kix_saver.ko
 SUB_FILES=	pkg-message

Modified: head/misc/dahdi-kmod/Makefile
==============================================================================
--- head/misc/dahdi-kmod/Makefile	Sat Nov  9 19:13:17 2013	(r333328)
+++ head/misc/dahdi-kmod/Makefile	Sat Nov  9 19:13:27 2013	(r333329)
@@ -4,7 +4,7 @@
 PORTNAME=	dahdi-kmod
 PORTVERSION=	${DAHDI_VERSION:S/-//g}
 PORTREVISION=	6
-CATEGORIES=	misc kld
+CATEGORIES=	misc
 MASTER_SITES=	${MASTER_SITE_LOCAL}\
 		http://downloads.digium.com/pub/telephony/firmware/releases/:firmware
 MASTER_SITE_SUBDIR=	fjoe
@@ -18,8 +18,6 @@ COMMENT=	Digium/Asterisk Hardware Device
 
 RUN_DEPENDS=	${LOCALBASE}/sbin/dahdi_cfg:${PORTSDIR}/misc/dahdi
 
-SSP_UNSAFE=	kernel module does not support ssp
-
 DAHDI_VERSION=		2.4.0-rc5
 DAHDI_TOOLS_VERSION=	2.4.0-rc1
 OSLEC_VERSION=		2.6.35.4
@@ -47,16 +45,17 @@ ONLY_FOR_ARCHS=	i386 amd64 sparc64
 CONFLICTS=	zaptel-[0-9]* dahdi-kmod26-*
 
 NO_STAGE=	yes
+
+USES=		kmod
+
+KMODDDIR=	${PREFIX}/lib/dahdi
+
 .include <bsd.port.pre.mk>
 
 .if ${OSVERSION} < 703000 || (${OSVERSION} >= 800000 && ${OSVERSION} < 800108)
 IGNORE=		requires firmware(9) support for kernel modules with hyphens
 .endif
 
-.if !exists(${SRC_BASE}/sys/Makefile)
-IGNORE=		requires kernel source present in ${SRC_BASE}/sys
-.endif
-
 .if ${ARCH} == "i386" || ${ARCH} == "amd64"
 PLIST_SUB+=	X86=""
 _vpmadt032=	VPMADT032
@@ -77,12 +76,6 @@ post-extract:
 	${CP} ${DISTDIR}/${${_f}_DISTFILE} ${WRKSRC}/freebsd/${${_f}_DIR}
 .endfor
 
-pre-su-install:
-	@${MKDIR} ${PREFIX}/lib/dahdi
-
-post-install:
-	@${TOUCH} ${PREFIX}/lib/dahdi/linker.hints
-
 fw-versions: extract
 .for _v in ${FIRMWARES:=_VERSION}
 	@${ECHO_CMD} "${_v}=`${MAKE} -V ${_v} -f ${WRKSRC}/firmware.mk`"

Modified: head/misc/dahdi-kmod/pkg-plist
==============================================================================
--- head/misc/dahdi-kmod/pkg-plist	Sat Nov  9 19:13:17 2013	(r333328)
+++ head/misc/dahdi-kmod/pkg-plist	Sat Nov  9 19:13:27 2013	(r333329)
@@ -16,7 +16,6 @@ lib/dahdi/dahdi_echocan_sec2.ko
 lib/dahdi/dahdi_transcode.ko
 lib/dahdi/dahdi_voicebus.ko
 %%X86%%lib/dahdi/dahdi_vpmadt032_loader.ko
-lib/dahdi/linker.hints
 lib/dahdi/ng_dahdi_netdev.ko
 lib/dahdi/wcb1xxp.ko
 lib/dahdi/wcb4xxp.ko
@@ -27,4 +26,3 @@ lib/dahdi/wctdm.ko
 lib/dahdi/wctdm24xxp.ko
 lib/dahdi/wcte11xp.ko
 lib/dahdi/wcte12xp.ko
-@dirrm lib/dahdi

Modified: head/misc/dahdi-kmod26/Makefile
==============================================================================
--- head/misc/dahdi-kmod26/Makefile	Sat Nov  9 19:13:17 2013	(r333328)
+++ head/misc/dahdi-kmod26/Makefile	Sat Nov  9 19:13:27 2013	(r333329)
@@ -3,7 +3,7 @@
 
 PORTNAME=	dahdi-kmod26
 PORTVERSION=	${DAHDI_VERSION:S/-/./g}
-CATEGORIES=	misc kld
+CATEGORIES=	misc
 MASTER_SITES=	${MASTER_SITE_LOCAL}\
 		http://people.freebsd.org/~fjoe/dahdi/\
 		http://downloads.digium.com/pub/telephony/firmware/releases/:firmware
@@ -18,8 +18,6 @@ COMMENT=	Digium/Asterisk Hardware Device
 
 RUN_DEPENDS=	${LOCALBASE}/sbin/dahdi_cfg:${PORTSDIR}/misc/dahdi
 
-SSP_UNSAFE=	kernel module does not support ssp
-
 DAHDI_VERSION=		2.6.1-r10738
 DAHDI_TOOLS_VERSION=	2.4.0-rc1
 OSLEC_VERSION=		2.6.35.4
@@ -51,16 +49,15 @@ ONLY_FOR_ARCHS=	i386 amd64 sparc64
 CONFLICTS=	zaptel-[0-9]* dahdi-kmod-*
 
 NO_STAGE=	yes
+
+KMODDIR=	${PREFIX}/lib/dahdi
+USES=		kmod
 .include <bsd.port.pre.mk>
 
 .if ${OSVERSION} < 703000 || (${OSVERSION} >= 800000 && ${OSVERSION} < 800108)
 IGNORE=		requires firmware(9) support for kernel modules with hyphens
 .endif
 
-.if !exists(${SRC_BASE}/sys/Makefile)
-IGNORE=		requires kernel source present in ${SRC_BASE}/sys
-.endif
-
 .if ${ARCH} == "i386" || ${ARCH} == "amd64"
 PLIST_SUB+=	X86=""
 _vpmadt032=	VPMADT032
@@ -81,12 +78,6 @@ post-extract:
 	${CP} ${DISTDIR}/${${_f}_DISTFILE} ${WRKSRC}/bsd-kmod/${${_f}_DIR}
 .endfor
 
-pre-su-install:
-	@${MKDIR} ${PREFIX}/lib/dahdi
-
-post-install:
-	@${TOUCH} ${PREFIX}/lib/dahdi/linker.hints
-
 fw-versions: extract
 .for _v in ${FIRMWARES:=_VERSION}
 	@${ECHO_CMD} "${_v}=`${MAKE} -V ${_v} -f ${WRKSRC}/firmware.mk`"

Modified: head/misc/dahdi-kmod26/pkg-plist
==============================================================================
--- head/misc/dahdi-kmod26/pkg-plist	Sat Nov  9 19:13:17 2013	(r333328)
+++ head/misc/dahdi-kmod26/pkg-plist	Sat Nov  9 19:13:27 2013	(r333329)
@@ -19,7 +19,6 @@ lib/dahdi/dahdi_transcode.ko
 lib/dahdi/dahdi_voicebus.ko
 %%X86%%lib/dahdi/dahdi_vpmadt032_loader.ko
 lib/dahdi/dahdi-fw-vpmoct032.bin.ko
-lib/dahdi/linker.hints
 lib/dahdi/ng_dahdi_netdev.ko
 lib/dahdi/wcb4xxp.ko
 lib/dahdi/wcfxo.ko
@@ -29,4 +28,3 @@ lib/dahdi/wctdm.ko
 lib/dahdi/wctdm24xxp.ko
 lib/dahdi/wcte11xp.ko
 lib/dahdi/wcte12xp.ko
-@dirrm lib/dahdi

Modified: head/multimedia/cuse4bsd-kmod/Makefile
==============================================================================
--- head/multimedia/cuse4bsd-kmod/Makefile	Sat Nov  9 19:13:17 2013	(r333328)
+++ head/multimedia/cuse4bsd-kmod/Makefile	Sat Nov  9 19:13:27 2013	(r333329)
@@ -2,7 +2,7 @@
 
 PORTNAME=	cuse4bsd-kmod
 PORTVERSION=	0.1.30
-CATEGORIES=	multimedia kld
+CATEGORIES=	multimedia
 MASTER_SITES=	http://www.selasky.org/hans_petter/distfiles/ \
 		http://home.selasky.org:8192/distfiles/
 
@@ -11,10 +11,8 @@ COMMENT=	Cuse4BSD character device loopb
 
 CONFLICTS=	video4bsd-kmod*
 
-SSP_UNSAFE=	kernel module does not support ssp
 USE_BZIP2=	yes
 
-KMODDIR=	/boot/modules
 KMODNAME=	cuse4bsd
 LIBDIR=		${PREFIX}/lib
 INCLUDEDIR=	${PREFIX}/include
@@ -22,7 +20,6 @@ MANDIR=		${PREFIX}/man/man
 USE_LDCONFIG=	yes
 
 PLIST_SUB=	KMODNAME="${KMODNAME}" \
-		KMODDIR="${KMODDIR}" \
 		LIBDIR="${LIBDIR}" \
 		INCLUDEDIR="${INCLUDEDIR}" \
 		MANDIR="${MANDIR}"
@@ -30,6 +27,8 @@ PLIST_SUB=	KMODNAME="${KMODNAME}" \
 OPTIONS_DEFINE=	DEBUG
 
 NO_STAGE=	yes
+
+USES=		kmod
 .include <bsd.port.options.mk>
 
 MAKE_ARGS+=" PTHREAD_LIBS=${PTHREAD_LIBS}"
@@ -41,6 +40,5 @@ MAKE_ARGS+=" HAVE_DEBUG=YES"
 do-install:
 	${MAKE} -C ${WRKSRC} -f ${WRKSRC}/Makefile.lib ${PLIST_SUB} install
 	${INSTALL_KLD} ${WRKSRC}/${KMODNAME}.ko ${KMODDIR}
-	kldxref ${KMODDIR}
 
 .include <bsd.port.mk>

Modified: head/multimedia/cuse4bsd-kmod/pkg-plist
==============================================================================
--- head/multimedia/cuse4bsd-kmod/pkg-plist	Sat Nov  9 19:13:17 2013	(r333328)
+++ head/multimedia/cuse4bsd-kmod/pkg-plist	Sat Nov  9 19:13:27 2013	(r333329)
@@ -24,5 +24,3 @@ man/man3/cuse_vmfree.3.gz
 man/man3/cuse_wait_and_process.3.gz
 @cwd %%KMODDIR%%
 %%KMODNAME%%.ko
-@exec kldxref %%KMODDIR%%
-@unexec kldxref %%KMODDIR%%

Modified: head/multimedia/linux_dvbwrapper-kmod/Makefile
==============================================================================
--- head/multimedia/linux_dvbwrapper-kmod/Makefile	Sat Nov  9 19:13:17 2013	(r333328)
+++ head/multimedia/linux_dvbwrapper-kmod/Makefile	Sat Nov  9 19:13:27 2013	(r333329)
@@ -4,37 +4,24 @@
 PORTNAME=	linux_dvbwrapper-kmod
 PORTVERSION=	1.0
 PORTREVISION=	1
-CATEGORIES=	multimedia kld
+CATEGORIES=	multimedia
 DISTFILES=	# none
 
 MAINTAINER=	nox@FreeBSD.org
 COMMENT=	Linux compatibility layer - DVB ioctl handler
 
-SSP_UNSAFE=	kernel module does not support ssp
 ONLY_FOR_ARCHS=	i386 amd64
 
 NO_STAGE=	yes
+
+USES=		kmod
 .include <bsd.port.pre.mk>
 
 PLIST_FILES+=	"@cwd /"
 PLIST_FILES+=	${KMODDIR:C,^/,,}/linux_dvbwrapper.ko
-PLIST_FILES+=	"@exec kldxref ${KMODDIR}"
-PLIST_FILES+=	"@unexec kldxref ${KMODDIR}"
-
-# install where x11/nvidia-driver does also:
-KMODDIR=	/boot/modules
-
-MAKE_ENV+=	KMODDIR="${KMODDIR}"
-
-SYSDIR?=	${SRC_BASE}/sys
-MAKE_ENV+=	SYSDIR="${SYSDIR}"
 
 CFLAGS+=	${DEBUG_FLAGS}
 
-.if !exists(${SYSDIR}/Makefile)
-IGNORE=		requires kernel source to be installed
-.endif
-
 do-extract:
 	${MKDIR} ${WRKSRC}
 	${CP} ${FILESDIR}/Makefile ${FILESDIR}/*.[ch] ${WRKSRC}

Modified: head/multimedia/linux_v4l2wrapper-kmod/Makefile
==============================================================================
--- head/multimedia/linux_v4l2wrapper-kmod/Makefile	Sat Nov  9 19:13:17 2013	(r333328)
+++ head/multimedia/linux_v4l2wrapper-kmod/Makefile	Sat Nov  9 19:13:27 2013	(r333329)
@@ -4,7 +4,7 @@
 PORTNAME=	linux_v4l2wrapper-kmod
 PORTVERSION=	1.0
 PORTREVISION=	2
-CATEGORIES=	multimedia kld
+CATEGORIES=	multimedia
 MASTER_SITES=	LOCAL/nox \
 		http://people.freebsd.org/~ae/
 DISTNAME=	linux_v4l2_kld
@@ -18,20 +18,12 @@ PATCH_STRIP=	-p1
 WRKSRC=		${WRKDIR}/linux_v4l2
 
 NO_STAGE=	yes
+
+USES=		kmod
 .include <bsd.port.pre.mk>
 
 PLIST_FILES+=	"@cwd /"
 PLIST_FILES+=	${KMODDIR:C,^/,,}/linux_v4l2wrapper.ko
-PLIST_FILES+=	"@exec kldxref ${KMODDIR}"
-PLIST_FILES+=	"@unexec kldxref ${KMODDIR}"
-
-# install where x11/nvidia-driver does also:
-KMODDIR=	/boot/modules
-
-MAKE_ENV+=	KMODDIR="${KMODDIR}"
-
-SYSDIR?=	${SRC_BASE}/sys
-MAKE_ENV+=	SYSDIR="${SYSDIR}"
 
 CFLAGS+=	${DEBUG_FLAGS}
 
@@ -39,10 +31,6 @@ CFLAGS+=	${DEBUG_FLAGS}
 
 .if ${LINUX_V4L2_AVAILABLE} == "1"
 IGNORE=		is already in kernel
-.else
-.if !exists(${SYSDIR}/Makefile)
-IGNORE=		requires kernel source to be installed
-.endif
 .endif
 
 .include <bsd.port.post.mk>

Modified: head/multimedia/ptx-kmod/Makefile
==============================================================================
--- head/multimedia/ptx-kmod/Makefile	Sat Nov  9 19:13:17 2013	(r333328)
+++ head/multimedia/ptx-kmod/Makefile	Sat Nov  9 19:13:27 2013	(r333329)
@@ -2,7 +2,7 @@
 
 PORTNAME=	ptx
 PORTVERSION=	0.0.20111212
-CATEGORIES=	multimedia kld
+CATEGORIES=	multimedia
 MASTER_SITES=	${MASTER_SITE_LOCAL}
 MASTER_SITE_SUBDIR=	hrs
 PKGNAMESUFFIX=	-kmod
@@ -13,13 +13,12 @@ COMMENT=	Device driver for PT1/PT2 ISDB-
 
 LICENSE=	GPLv3
 
-SSP_UNSAFE=	kernel module does not support ssp
+#XXX rene: change KMODDIR from ${PREFIX}/libexec/${PORTNAME} to
+#          the default /boot/modules to get directories right
 
 ONLY_FOR_ARCHS=	amd64 i386
 BUILD_WRKSRC=	${WRKSRC}/dev/ptx
-MAKE_ENV=	KMODDIR=${PREFIX}/${KMODDIR} SYSDIR=${SYSDIR}
 PLIST_FILES=	${KMODDIR}/ptx.ko bin/recptx.pl
-PLIST_DIRS=	${KMODDIR}
 SUB_LIST=	KMODDIR=${KMODDIR}
 USE_RC_SUBR=	ptx
 PORTDOCS=	README
@@ -27,25 +26,12 @@ PORTDOCS=	README
 OPTIONS_DEFINE=	DOCS
 
 NO_STAGE=	yes
-.include <bsd.port.pre.mk>
-
-KMODDIR=	libexec/${PORTNAME}
-SYSDIR?=	${SRC_BASE}/sys
-
-KERNCONF?=	GENERIC
 
-# Use the first component of ${KERNCONF}.
-.for K in ${KERNCONF}
-_KERNCONF?=$K
-.endfor
-
-.if !exists(${SRC_BASE}/sys/${ARCH}/conf/${_KERNCONF})
-IGNORE=		requires kernel source to be installed
-.endif
+USES=		kmod
+.include <bsd.port.pre.mk>
 
 do-install:
-	@${MKDIR} ${PREFIX}/${KMODDIR}
-	${INSTALL_KLD} ${BUILD_WRKSRC}/ptx.ko ${PREFIX}/${KMODDIR}
+	${INSTALL_KLD} ${BUILD_WRKSRC}/ptx.ko ${KMODDIR}
 	${INSTALL_SCRIPT} ${WRKSRC}/tools/recptx.pl ${PREFIX}/bin
 .if ${PORT_OPTIONS:MDOCS}
 	@${MKDIR} ${DOCSDIR}

Modified: head/multimedia/ptx-kmod/files/ptx.in
==============================================================================
--- head/multimedia/ptx-kmod/files/ptx.in	Sat Nov  9 19:13:17 2013	(r333328)
+++ head/multimedia/ptx-kmod/files/ptx.in	Sat Nov  9 19:13:27 2013	(r333329)
@@ -14,7 +14,7 @@ stop_cmd="ptx_stop"
 
 ptx_start()
 {
-	load_kld %%PREFIX%%/%%KMODDIR%%/ptx.ko
+	load_kld %%KMODDIR%%/ptx.ko
 }
 ptx_stop()
 {

Modified: head/multimedia/sms1xxx-kmod/Makefile
==============================================================================
--- head/multimedia/sms1xxx-kmod/Makefile	Sat Nov  9 19:13:17 2013	(r333328)
+++ head/multimedia/sms1xxx-kmod/Makefile	Sat Nov  9 19:13:27 2013	(r333329)
@@ -4,7 +4,7 @@
 PORTNAME=	sms1xxx
 PORTVERSION=	20120113
 PORTREVISION=	1
-CATEGORIES=	multimedia kld
+CATEGORIES=	multimedia
 MASTER_SITES=	http://contribs.martymac.org/FreeBSD-siano/
 PKGNAMESUFFIX=	-kmod
 DISTNAME=	siano-${PORTVERSION}
@@ -32,9 +32,6 @@ NOVA_DESC=	Build Hauppauge WinTV MiniSti
 ONLY_FOR_ARCHS=	i386 amd64
 
 SUB_FILES=	pkg-message
-KMODDIR?=	/boot/modules
-PLIST_SUB+=	KMODDIR=${KMODDIR}
-MAKE_ENV+=	KMODDIR=${KMODDIR}
 
 PORTDOCS=	CHANGELOG README COPYING
 
@@ -47,11 +44,11 @@ NOVA_FW=	novab0_dvbbda
 BUILD_FWS=
 
 NO_STAGE=	yes
+
+USES=		kmod
 .include <bsd.port.pre.mk>
 
-.if !exists(${SRC_BASE}/sys/Makefile)
-IGNORE=		requires kernel source files
-.elif ${OSVERSION} <= 800063
+.if ${OSVERSION} <= 800063
 IGNORE=		requires FreeBSD 8.0 or superior
 .endif
 

Modified: head/multimedia/sms1xxx-kmod/pkg-plist
==============================================================================
--- head/multimedia/sms1xxx-kmod/pkg-plist	Sat Nov  9 19:13:17 2013	(r333328)
+++ head/multimedia/sms1xxx-kmod/pkg-plist	Sat Nov  9 19:13:27 2013	(r333329)
@@ -3,5 +3,3 @@
 %%PL_NOVA%%novab0_dvbbda.ko
 %%PL_STELLAR%%stellar_dvbt.ko
 sms1xxx.ko
-@exec kldxref %D
-@unexec kldxref %D

Modified: head/net/bwi-firmware-kmod/Makefile
==============================================================================
--- head/net/bwi-firmware-kmod/Makefile	Sat Nov  9 19:13:17 2013	(r333328)
+++ head/net/bwi-firmware-kmod/Makefile	Sat Nov  9 19:13:27 2013	(r333329)
@@ -3,7 +3,7 @@
 
 PORTNAME=	bwi-firmware
 PORTVERSION=	${FWVERSION}
-CATEGORIES=	net kld
+CATEGORIES=	net
 MASTER_SITES=	http://downloads.openwrt.org/sources/ \
 		http://mirror2.openwrt.org/sources/
 PKGNAMESUFFIX=	-kmod
@@ -25,14 +25,14 @@ WRKSRC=		${WRKDIR}
 FWNAME=		bwi_v3
 FWFILE=		wl_apsta-${FWVERSION}.0.o
 FWVERSION=	3.130.20
-KMODDIR=	/boot/modules
 KMODNAME=	${FWNAME}_ucode
-PLIST_SUB=	KMODNAME="${KMODNAME}" \
-		KMODDIR="${KMODDIR}"
+PLIST_SUB=	KMODNAME="${KMODNAME}"
 
 NO_PACKAGE=	this is a modified version of a restricted firmware
 
 NO_STAGE=	yes
+
+USES=		kmod
 .include <bsd.port.pre.mk>
 
 do-build:

Modified: head/net/bwi-firmware-kmod/pkg-plist
==============================================================================
--- head/net/bwi-firmware-kmod/pkg-plist	Sat Nov  9 19:13:17 2013	(r333328)
+++ head/net/bwi-firmware-kmod/pkg-plist	Sat Nov  9 19:13:27 2013	(r333329)
@@ -1,4 +1,2 @@
 @cwd %%KMODDIR%%
 %%KMODNAME%%.ko
-@exec kldxref %%KMODDIR%%
-@unexec kldxref %%KMODDIR%%

Modified: head/net/bwn-firmware-kmod/Makefile
==============================================================================
--- head/net/bwn-firmware-kmod/Makefile	Sat Nov  9 19:13:17 2013	(r333328)
+++ head/net/bwn-firmware-kmod/Makefile	Sat Nov  9 19:13:27 2013	(r333329)
@@ -3,7 +3,7 @@
 
 PORTNAME=	bwn-firmware
 PORTVERSION=	0.1.0
-CATEGORIES=	net kld
+CATEGORIES=	net
 MASTER_SITES=	http://downloads.openwrt.org/sources/ \
 		http://mirror2.openwrt.org/sources/
 PKGNAMESUFFIX=	-kmod
@@ -42,14 +42,14 @@ FWNAME_LP=	bwn_v4_lp
 FWFILE_LP=	broadcom-wl-${FWVERSION_LP}.tar.bz2
 FWVERSION_LP=	4.178.10.4
 KMODNAME_LP=	${FWNAME_LP}_ucode
-KMODDIR=	/boot/modules
 PLIST_SUB=	KMODNAME="${KMODNAME}" \
-		KMODNAME_LP="${KMODNAME_LP}" \
-		KMODDIR="${KMODDIR}"
+		KMODNAME_LP="${KMODNAME_LP}"
 
 NO_PACKAGE=	this is a modified version of a restricted firmware
 
 NO_STAGE=	yes
+
+USES=		kmod
 .include <bsd.port.pre.mk>
 
 do-build:

Modified: head/net/bwn-firmware-kmod/pkg-plist
==============================================================================
--- head/net/bwn-firmware-kmod/pkg-plist	Sat Nov  9 19:13:17 2013	(r333328)
+++ head/net/bwn-firmware-kmod/pkg-plist	Sat Nov  9 19:13:27 2013	(r333329)
@@ -1,5 +1,3 @@
 @cwd %%KMODDIR%%
 %%KMODNAME%%.ko
 %%KMODNAME_LP%%.ko
-@exec kldxref %%KMODDIR%%
-@unexec kldxref %%KMODDIR%%

Modified: head/net/stf-6rd-kmod/Makefile
==============================================================================
--- head/net/stf-6rd-kmod/Makefile	Sat Nov  9 19:13:17 2013	(r333328)
+++ head/net/stf-6rd-kmod/Makefile	Sat Nov  9 19:13:27 2013	(r333329)
@@ -2,7 +2,7 @@
 
 PORTNAME=	stf
 PORTVERSION=	0.${SVN_REV}
-CATEGORIES=	net ipv6 kld
+CATEGORIES=	net ipv6
 MASTER_SITES=	${MASTER_SITE_LOCAL}
 MASTER_SITE_SUBDIR=	kuriyama
 PKGNAMESUFFIX=	-6rd-kmod
@@ -15,14 +15,10 @@ ONLY_FOR_ARCHS=	amd64 i386
 
 WRKSRC=		${WRKDIR}
 SVN_REV=	239080	# 8.1=r209773, 8.2=r216741, 8.3=r232314
-KMODDIR?=	/boot/modules
-PLIST_SUB=	KMODDIR=${KMODDIR:C,^/,,}
-
-.if !exists(${SRC_BASE}/sys/Makefile)
-IGNORE=		requires kernel source to be installed
-.endif
 
 NO_STAGE=	yes
+
+USES=		kmod
 .include <bsd.port.pre.mk>
 
 .if ${OSREL} != "8.1" && ${OSREL} != "8.2" && ${OSREL} != "8.3" && ${OSREL} != "8.4" && ${OSREL} != "9.1"
@@ -47,7 +43,6 @@ do-install:
 	${INSTALL_KLD} ${WRKSRC}/sys/modules/if_stf/${f}.ko ${KMODDIR}
 	${INSTALL_KLD} ${WRKSRC}/sys/modules/if_stf/${f}.ko.symbols ${KMODDIR}
 .endfor
-	/usr/sbin/kldxref ${KMODDIR}
 
 post-install:
 	${CAT} ${PKGMESSAGE}

Modified: head/net/stf-6rd-kmod/pkg-plist
==============================================================================
--- head/net/stf-6rd-kmod/pkg-plist	Sat Nov  9 19:13:17 2013	(r333328)
+++ head/net/stf-6rd-kmod/pkg-plist	Sat Nov  9 19:13:27 2013	(r333329)
@@ -1,5 +1,3 @@
 @cwd /
 %%KMODDIR%%/if_stf.ko
 %%KMODDIR%%/if_stf.ko.symbols
-@exec /usr/sbin/kldxref /%%KMODDIR%%
-@unexec /usr/sbin/kldxref /%%KMODDIR%%

Modified: head/security/quantis-kmod/Makefile
==============================================================================
--- head/security/quantis-kmod/Makefile	Sat Nov  9 19:13:17 2013	(r333328)
+++ head/security/quantis-kmod/Makefile	Sat Nov  9 19:13:27 2013	(r333329)
@@ -3,7 +3,7 @@
 
 PORTNAME=	quantis
 DISTVERSION=	v13.04.29
-CATEGORIES=	security kld
+CATEGORIES=	security
 MASTER_SITES=	http://www.idquantique.com/~download/Quantis/ \
 		${MASTER_SITE_LOCAL}
 MASTER_SITE_SUBDIR=	ale
@@ -17,27 +17,19 @@ LICENSE=	BSD GPLv2
 LICENSE_COMB=	dual
 LICENSE_FILE=	${WRKDIR}/Quantis-${DISTVERSION}/License.txt
 
-SSP_UNSAFE=	kernel module does not support ssp
 USE_ZIP=	yes
 EXTRACT_BEFORE_ARGS=	-aqo
 
 WRKSRC=		${WRKDIR}/Quantis-${DISTVERSION}/Drivers/Unix/QuantisPci
 
-KMODDIR?=	/boot/modules
-
-MAKE_ENV+=	KMODDIR=${KMODDIR}
-
 PLIST_FILES=	"@cwd ${KMODDIR}" \
 		"quantis.ko" \
-		"@unexec kldxref ${KMODDIR}" \
 		"@cwd ${PREFIX}"
 
 NO_STAGE=	yes
-.include <bsd.port.pre.mk>
 
-.if !exists(${SRC_BASE}/sys/Makefile)
-IGNORE=		requires kernel source to be installed
-.endif
+USES=		kmod
+.include <bsd.port.pre.mk>
 
 post-install:
 	@${CAT} ${PKGMESSAGE}

Modified: head/sysutils/fusefs-kmod/Makefile
==============================================================================
--- head/sysutils/fusefs-kmod/Makefile	Sat Nov  9 19:13:17 2013	(r333328)
+++ head/sysutils/fusefs-kmod/Makefile	Sat Nov  9 19:13:27 2013	(r333329)
@@ -4,7 +4,7 @@
 PORTNAME=	fusefs
 DISTVERSION=	0.3.9-pre1.20080208
 PORTREVISION=	11
-CATEGORIES=	sysutils kld
+CATEGORIES=	sysutils
 MASTER_SITES=	http://mercurial.creo.hu/repos/fuse4bsd-hg/index.cgi/archive/ \
     		http://mirrors.rit.edu/zi/fuse4bsd/ \
   		LOCAL/bdrewery/${PORTNAME}/
@@ -17,13 +17,9 @@ COMMENT=	Kernel module for fuse
 
 BUILD_DEPENDS=	fusefs-libs>2.4.1:${PORTSDIR}/sysutils/fusefs-libs
 
-SSP_UNSAFE=	kernel module does not support ssp
-
 USE_RC_SUBR=	fusefs
-KMODDIR?=	${PREFIX}/modules
-PLIST_SUB=	KMODDIR=${KMODDIR}
+KMODDIR=	${PREFIX}/modules
 MAKE_ENV=	BINDIR="${PREFIX}/sbin" MANDIR="${MANPREFIX}/man/man" \
-		KMODDIR="${KMODDIR}" SYSDIR="${SRC_BASE}/sys" \
 		MOUNT="${SRC_BASE}/sbin/mount"
 WRKSRC=		${WRKDIR}/fuse4bsd-${HG_SHORTREV}
 DISABLE_SIZE=	yes
@@ -32,13 +28,14 @@ OPTIONS_DEFINE=	AUTOSETUP DOCS
 AUTOSETUP_DESC=	Automatic global config file setup
 
 NO_STAGE=	yes
+
+USES=		kmod

*** DIFF OUTPUT TRUNCATED AT 1000 LINES ***
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Rene Ladan freebsd_committer 2013-11-09 19:13:58 UTC
State Changed
From-To: open->closed

Committed